<meta name="viewport" content="width=device-width, initial-scale=1">

<textarea id="letext" value='' rows="10" style="    width: 100%;">
</textarea>
<br>
<button onclick='reader("صفاقس");reader("الساحل");reader("الشمال");reader("الوسط");reader("الجنوب");total();'>Detection automatique</button>
<script>
function getPosition(string, subString, index) {
  return string.split(subString, index).join(subString).length;
}
function reader(wilaya){
var lecontenu=document.getElementById('letext').value;
var debutsfax=  getPosition(lecontenu, wilaya, 1);
var finsfax = debutsfax+getPosition(lecontenu.substring(debutsfax, lecontenu.length), ')', 1);
var lignesfax =lecontenu.substring(debutsfax, finsfax);
if ((lignesfax.match(/مي/g) || []).length == 2  ) {
var minsfax = lignesfax.substring(getPosition(lignesfax,'(',1),getPosition(lignesfax,'مي',1)).replace(/\D/g, "");
var maxsfax = lignesfax.substring(getPosition(lignesfax,')',1),getPosition(lignesfax,'مي',1)).replace(/\D/g, "");
var courantsfax ='-';
}else{
var minsfax = lignesfax.substring(getPosition(lignesfax,'(',1),getPosition(lignesfax,'مي',1)).replace(/\D/g, "");
var maxsfax = lignesfax.substring(getPosition(lignesfax,'(',1),getPosition(lignesfax,'مي',1)).replace(/\D/g, "");
var courantsfax = lignesfax.substring(getPosition(lignesfax,'(',1),getPosition(lignesfax,'مي',1)).replace(/\D/g, "");
}
if (minsfax != ''){
document.getElementById(wilaya+'_min').value=minsfax;
}else{
document.getElementById(wilaya+'_min').value='-';
};
if (maxsfax != ''){
document.getElementById(wilaya+'_max').value=maxsfax;
}else{
document.getElementById(wilaya+'_max').value='-';
};
if (courantsfax != ''){
document.getElementById(wilaya+'_courant').value=courantsfax;
}else{
document.getElementById(wilaya+'_courant').value='-';
};
}
function total(){
var lecontenu=document.getElementById('letext').value;
var debut=  getPosition(lecontenu, 'المجموع', 1);
var fin = debut+getPosition(lecontenu.substring(debut, lecontenu.length), 'طن', 1);
document.getElementById('total').value=lecontenu.substring(debut, fin).replace(/\D/g, "");
}
</script>
</br></br>
صفاقس</br>


<form action='insert.php' method="POST">

<input type="text" id="صفاقس_min" name="sfax_min"/></br>
<input type="text" id="صفاقس_max" name="sfax_max"/></br>
<input type="text" id="صفاقس_courant" name="sfax_courant"/></br>
</br></br>
الساحل</br>
<input type="text" id="الساحل_min"  name="sahel_min"/></br>
<input type="text" id="الساحل_max"  name="sahel_max"/></br>
<input type="text" id="الساحل_courant"  name="sahel_courant"/></br>
</br></br>
الوسط</br>
<input type="text" id="الوسط_min"  name="centre_min"/></br>
<input type="text" id="الوسط_max"  name="centre_max"/></br>
<input type="text" id="الوسط_courant"  name="centre_courant"/></br>
</br></br>
الشمال</br>
<input type="text" id="الشمال_min" name="nord_min"/></br>
<input type="text" id="الشمال_max" name="nord_max"/></br>
<input type="text" id="الشمال_courant" name="nord_courant"/></br>
</br></br>
الجنوب</br>
<input type="text" id="الجنوب_min" name="sud_min"/></br>
<input type="text" id="الجنوب_max" name="sud_max"/></br>
<input type="text" id="الجنوب_courant" name="sud_courant"/></br>
</br></br>
المجموع</br>

<input type="text" id="total" name="qte"/></br>
<input type='submit'/>
</form>